services:
    _defaults:
        autowire: true
        autoconfigure: true

    # Tells Symfony to consider JsonSchema\Validator as a service and allow its auto-injection
    JsonSchema\Validator: ~

    App\Tests\Behat\:
        resource: '../tests/Behat/*'

    App\Tests\Util\:
        resource: '../tests/Util/*'

    # Tells Symfony to replace abstract interfaces with these specific concrete implementations
    # It will be donne automatically during auto-injection
    App\Tests\TestUtil\TestableApiClientInterface: '@App\Tests\Util\Decorator\EndpointsApiClientDecorator'
    App\Client\ApiClientInterface: '@App\Tests\Decorator\EndpointsApiClientDecorator'
